/****************************************************************************
 MADE BY BEN. BEN IS COOL. Feb 6, 2017
 Copyright Noodlecake Studios Inc. All rights reserved.
 ****************************************************************************/

#ifndef NooodleBink_Controller_h
#define NooodleBink_Controller_h

#include <android/log.h>
#include <cstddef>
#include <string>

#include <android/asset_manager.h>

#define NOODLEBINK_LOG_TAG "NoodleBink"

class NoodleBinkController
{
public:
    
    static NoodleBinkController* sharedController();
    int initBink(AAssetManager *mgr, bool useObb, std::string _obbPath);
    void reinitBink(AAssetManager *mgr);
    int loadVideo(std::string path, long offset);
    int getTotalFrames();
    bool nextFrame();
    bool gotoFrame(int frame);
    void setdraw(double nx0, double ny0, double nx1, double ny1);
    void draw();

private:

};
#endif // NooodleBink_Bridge_h