/****************************************************************************
//  Created by Ben Schmidt on Jan 19, 2017
//  Copyright (c) 2017 Noodlecake Studios Inc. All rights reserved.
 ****************************************************************************/

package com.noodlecake.BinkANE.functions;

import com.noodlecake.BinkANE.BinkController;
import com.noodlecake.BinkANE.Extension;
import android.util.Log;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;

public class setdraw implements FREFunction
{
	public FREObject call(FREContext context, FREObject[] args)
	{
        try {
            if(Extension.DEBUG_MODE) Log.d(Extension.EXT_LOG_TAG, "Entering setdraw");

            double nx0 = args[0].getAsDouble();
            double ny0 = args[1].getAsDouble();
            double nx1 = args[2].getAsDouble();
            double ny1 = args[3].getAsDouble();
            BinkController.setdraw(nx0, ny0, nx1, ny1);

            if(Extension.DEBUG_MODE) Log.d(Extension.EXT_LOG_TAG, "Exiting setdraw");
            
            return null;
            
        } catch (Exception e) {
            Log.d(Extension.EXT_LOG_TAG, "Error in setdraw - " + e.toString());
            return null;
        }
	}
}