/****************************************************************************
//  Created by Ben Schmidt on Mar 28, 2017
//  Copyright (c) 2017 Noodlecake Studios Inc. All rights reserved.
 ****************************************************************************/

package com.noodlecake.BinkANE.functions;

import com.noodlecake.BinkANE.BinkController;
import com.noodlecake.BinkANE.Extension;
import android.util.Log;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;

public class usingObb implements FREFunction
{
	public FREObject call(FREContext context, FREObject[] args)
	{
        try {
            Log.d(Extension.EXT_LOG_TAG, "Entering usingObb");

            boolean controllerResult = BinkController.usingObb();
            FREObject ret = FREObject.newObject(controllerResult);

            Log.d(Extension.EXT_LOG_TAG, "Exiting usingObb");
            
            return ret;
            
        } catch (Exception e) {
            Log.d(Extension.EXT_LOG_TAG, "Error in usingObb - " + e.toString());
            return null;
        }
	}
}