/****************************************************************************
 MADE BY BEN. BEN IS COOL. Dec 19, 2016
 ****************************************************************************/

package com.noodlecake.NoodleX;

import android.util.Log;
import java.util.*;

import java.lang.ref.WeakReference;
import android.app.Activity;

import com.noodlecake.NoodleX.NoodleXBridge;

import com.flurry.android.*;


public class NoodleXFlurry {

    private static final String FLURRY_API_KEY = "KJ5BCYR75DRBY3ZHGXRB";

    private static WeakReference<Activity> mActivity;

    public static void init(WeakReference<Activity> activity){
        Log.d(NoodleXBridge.TAG, "Initializing NoodleXFlurry...");
        
        mActivity = activity;
        new FlurryAgent.Builder().build(mActivity.get(), FLURRY_API_KEY);

        Log.d(NoodleXBridge.TAG, "NoodleXFlurry initialization complete!");
    }

    public static void onStart(){
        FlurryAgent.onStartSession(mActivity.get());
    }
 
    public static void onStop(){
        FlurryAgent.onEndSession(mActivity.get());
    }

    public static void setUserId(String id) {
        //Log.d(NoodleXBridge.TAG, "Setting Flurry User ID...");
        FlurryAgent.setUserId(id);
        //Log.d(NoodleXBridge.TAG, "Flurry User ID set successfully!");
    }

    public static void logEvent(String id, Map<String,String> params) {
        //Log.d(NoodleXBridge.TAG, "Logging Flurry event " + id + " ...");
        if (params == null) {
            //Log.d(NoodleXBridge.TAG, "Event has no parameters!");
            FlurryAgent.logEvent(id);
        } else {
            //Log.d(NoodleXBridge.TAG, "Event has parameters!  " + params);
            FlurryAgent.logEvent(id, params);
        }

        //Log.d(NoodleXBridge.TAG, "Flurry event logged successfully!");
    }
}