/****************************************************************************
//  Created by Ben Schmidt on Jan 18, 2017
//  Copyright (c) 2017 Noodlecake Studios Inc. All rights reserved.
 ****************************************************************************/

package com.noodlecake.BinkANE;

import android.util.Log;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREExtension;

public class Extension implements FREExtension
{
	public static final String EXT_LOG_TAG = "LuminoCity-BinkANE";
	public static final boolean DEBUG_MODE = false;
	public static ExtensionContext context;

	public FREContext createContext(String ctxType)
	{
		if(Extension.DEBUG_MODE) Log.d(EXT_LOG_TAG, "Creating BinkANE context");
		
		if (context == null) {
			context = new ExtensionContext();
		}
		return context;

	}
	
	public void initialize() { }

	public void dispose()
	{
		context = null;
	}
}