/****************************************************************************
//  Created by Ben Schmidt on Jan 19, 2017
//  Copyright (c) 2017 Noodlecake Studios Inc. All rights reserved.
 ****************************************************************************/

package com.noodlecake.BinkANE.functions;

import com.noodlecake.BinkANE.BinkController;
import com.noodlecake.BinkANE.Extension;
import android.util.Log;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;

public class downloadScreenshot implements FREFunction
{
	public FREObject call(FREContext context, FREObject[] args)
	{
        try {
            if(Extension.DEBUG_MODE) Log.d(Extension.EXT_LOG_TAG, "Entering downloadScreenshot");

            BinkController.downloadScreenshot();

            if(Extension.DEBUG_MODE) Log.d(Extension.EXT_LOG_TAG, "Exiting downloadScreenshot");
            
            return null;
            
        } catch (Exception e) {
            Log.d(Extension.EXT_LOG_TAG, "Error in downloadScreenshot - " + e.toString());
            return null;
        }
	}
}